Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
@@ -2179,121 +2355,13 @@
                 ChkProc = null;
             }
         }
-        #region 旧施工完了表示
-        //private void DispCompletionOfConstruction()
-        //{
-        //    IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-        //    IOMPersonInCharge picDB = new IOMPersonInCharge();
-        //    try
-        //    {
-        //        dgvCompletionOfConstruction.Rows.Clear();
-        //        // SQL作成
-        //        string strSQL = CreateCompletionOfConstructionSQL();
-        //        ArrayList arData = new ArrayList();
-        //        // 工事基本情報取得
-        //        if (cbiDB.ExecuteReader(strSQL, ref arData))
-        //        {
-        //            ProgressCompletionOfConstruction.Visible = true;
-        //            ProgressCompletionOfConstruction.Minimum = 0;
-        //            ProgressCompletionOfConstruction.Maximum = arData.Count;
-        //            tabPage15.Update();
-        //            //Thread.Sleep(100);
+        #endregion
 
-        //            dgvCompletionOfConstruction.SuspendLayout();
-
-        //            // 1件目年月取得
-        //            DateTime BreakDate = DateTime.Now;
-        //            if (arData.Count != 0)
-        //            {
-        //                object[] objRec0 = (object[])arData[0];
-        //                BreakDate = ClsCommon.cnvDate(objRec0[12].ToString());
-        //            }
-
-        //            // データ表示
-        //            int ino = 1;
-        //            foreach (object[] objwrk in arData)
-        //            {
-        //                // 月が変われば1行開ける
-        //                if (ino != 0)
-        //                {
-        //                    string breakYM =  BreakDate.ToShortDateString();
-        //                    breakYM = breakYM.Substring(0, breakYM.LastIndexOf('/'));
-
-        //                    string DataYm = ClsCommon.cnvDate(objwrk[17].ToString()).ToString();
-        //                    DataYm = DataYm.Substring(0, DataYm.LastIndexOf('/'));
-
-        //                    if (string.Compare(breakYM, DataYm) != 0)
-        //                        dgvCompletionOfConstruction.Rows.Add("", "", "", "", "", "", "", "", "", "", "");
-
-        //                    BreakDate = ClsCommon.cnvDate(objwrk[17].ToString());
-        //                }
-
-        //                // 営業担当名取得
-        //                string strSales = picDB.CreatePrimarykeyString(int.Parse(objwrk[3].ToString()));
-        //                PersonInChargeMaster salesData = new PersonInChargeMaster();
-        //                picDB.SelectAction(strSales, ref salesData);
-        //                string salesname = salesData.PersonName;
-        //                // 工事担当名取得
-        //                string strConstructor = picDB.CreatePrimarykeyString(int.Parse(objwrk[4].ToString()));
-        //                PersonInChargeMaster constructorData = new PersonInChargeMaster();
-        //                string constructorname = ClsCommonDefine.s_UndecidedString;
-        //                if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
-
-        //                dgvCompletionOfConstruction.Rows.Add(objwrk[0].ToString()
-        //                                            , ino
-        //                                            , objwrk[1].ToString()
-        //                                            , objwrk[2].ToString()
-        //                                            , salesname
-        //                                            , constructorname
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[17].ToString()))
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[5].ToString()))
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[6].ToString()))
-        //                                            , objwrk[7].ToString() + objwrk[8].ToString() + objwrk[9].ToString()
-        //                                            , objwrk[10].ToString()
-        //                                            );
-
-        //                // ProgressBarの値を変更する
-        //                ProgressCompletionOfConstruction.Value = ino++;
-        //                ProgressCompletionOfConstruction.Update();
-        //            }
-        //            // ProgressBarの値を変更する
-        //            ProgressCompletionOfConstruction.Value = ProgressCompletionOfConstruction.Maximum;
-        //            ProgressCompletionOfConstruction.Update();
-        //            ProgressCompletionOfConstruction.Visible = false;
-        //        }
-
-        //        // データが多くなればソートできる
-        //        if (ClsCommonDefine.s_MaxInitLineCount < dgvCompletionOfConstruction.RowCount)
-        //        {
-        //            foreach (DataGridViewColumn wrkCol in dgvCompletionOfConstruction.Columns)
-        //                wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
-        //        }
-        //        else
-        //        {
-        //            // 読込時データカウント取得
-        //            dgvCompletionOfConstruction.RowCount += (ClsCommonDefine.s_MaxInitLineCount - arData.Count);
-        //        }
-
-        //        dgvCompletionOfConstruction.ResumeLayout();
-        //    }
-        //    catch (Exception ex)
-        //    {
-        //        logger.ErrorFormat("システムエラー：{0}：{1}", ClsCommon.GetMethodName(), ex.Message);
-        //    }
-        //    finally
-        //    {
-        //        cbiDB.close();
-        //        cbiDB = null;
-
-        //        picDB.close();
-        //        picDB = null;
-        //    }
-        //}
-        #endregion
+        #region 完了案件一覧表示用データ取得SQL作成
         /// <summary>
         /// 完了案件一覧表示用データ取得SQL作成
         /// </summary>
-        private string CreateCompletionOfConstructionSQL(DateTime StartDate)
+        private string CreateCompletionOfConstructionSQL()
         {
             string strSQL = string.Empty;
             try
@@ -2305,10 +2373,9 @@
 
                 strSQL += CreateListSQL(stat);
 
-                strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
+                //strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
+                strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDCompletion.Value);
 
-                strSQL += " Order By ConstructionCompletionDate Desc, ConstructionCode Asc, ConstructionStatusFlg Asc";
-
                 return strSQL;
             }
             catch (Exception ex)
@@ -2319,6 +2386,110 @@
         }
         #endregion
 
+        #region 対象期の受注金額計
+        /// <summary>
+        /// 対象期の受注金額計
+        /// </summary>
+        /// <param name="Period"></param>
+        /// <returns></returns>
+        private long CalcOrdersDecisionPrice(decimal Period)
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                int[] Status = new int[] {CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key,
+                                            CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key,
+                                            CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key};
+
+                string strSQL = "SELECT SUM(ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO";
+                strSQL += string.Format(" WHERE CONSTRUCTIONPERIOD = {0}", Period);
+                strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG IN ({0}, {1}, {2})", Status[0], Status[1], Status[2]);
+                ArrayList arryList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref arryList)) return 0;
+                if (arryList.Count == 0) return 0;
+                object[] getObj = (object[])arryList[0];
+
+                return CommonMotions.cnvLong(getObj[0]);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+        #endregion
+
+        #region 期の最大・最少を取得する
+        /// <summary>
+        /// 期の最大・最少を取得する
+        /// </summary>
+        /// <param name="StartDate"></param>
+        /// <returns></returns>
+        private void GetPeriodYear(string strWhere, ref int min, ref int max)
+        {
+            IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
+            try
+            {
+                string strSQL = "SELECT ConstructionPeriod FROM CONSTRUCTIONBASEINFO";
+                strSQL += strWhere;
+                strSQL += " GROUP BY ConstructionPeriod";
+                ArrayList arList = new ArrayList();
+                if (!cbiDB.ExecuteReader(strSQL, ref arList)) return;
+                int[] iNumber = new int[arList.Count];
+                int i = 0;
+                foreach (object[] wrkobj in arList)
+                {
+                    iNumber[i++] = CommonMotions.cnvInt(wrkobj[0].ToString());
+                }
+                min = iNumber.Min();
+                max = iNumber.Max();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                cbiDB.close(); cbiDB = null;
+            }
+        }
+        #endregion
+
+        #region 数字選択ボックス初期営業期セット
+        /// <summary>
+        /// 数字選択ボックス初期営業期セット
+        /// </summary>
+        /// <param name="numUPObject"></param>
+        private void SetInitNumUDData(NumericUpDown numUPObject)
+        {
+            try
+            {
+                m_bInitFlg = true;
+                // 検索年度セット
+                // データにある事業期と現在の事業セット
+                int minval = 0;
+                int maxval = 0;
+                CommonMotions.GetPeriodYear(ref minval, ref maxval);
+                numUPObject.Minimum = minval;
+                numUPObject.Maximum = maxval;
+                numUPObject.Value = CommonMotions.SystemMasterData.BusinessPeriod;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                m_bInitFlg = false;
+            }
+        }
+        #endregion
+
         #region 月毎の件数を取得する
         /// <summary>
         /// 月毎の件数を取得する
@@ -2325,7 +2496,7 @@
         /// </summary>
         /// <param name="StartDate"></param>
         /// <returns></returns>
-        private int GetMonthryCount(DateTime StartDate)
+        private int GetMonthryCount()
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             try
@@ -2338,7 +2509,8 @@
 
                 string strSQL = "SELECT TO_CHAR(ConstructionCompletionDate,'YYYY/MM'), count(*) FROM CONSTRUCTIONBASEINFO";
                 strSQL += CreateListSQL(stat);
-                strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
+                //strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
+                strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDCompletion.Value);
                 strSQL += " GROUP BY TO_CHAR(ConstructionCompletionDate,'YYYY/MM')";
                 strSQL += " Order By TO_CHAR(ConstructionCompletionDate,'YYYY/MM') Desc";
                 ArrayList arList = new ArrayList();
@@ -2345,6 +2517,7 @@
                 if(!cbiDB.ExecuteReader(strSQL,ref arList)) return 0;
                 iCount = arList.Count;
 
+                if (iCount <= 2) iCount--;
                 return iCount;
             }
             catch (Exception ex)
@@ -2906,7 +3079,7 @@
         /// <summary>
         /// グリッドタイトルへ月日をセットする
         /// </summary>
-        private int SetStaffAssignmentGridTitile()
+        private int SetStaffAssignmentGridTitle()
         {
             try
             {
@@ -3159,20 +3332,35 @@
 
                 // ---------- タイトルセット
                 int DspColCnt = 0;
-                DspColCnt = SetStaffAssignmentGridTitile();
+                DspColCnt = SetStaffAssignmentGridTitle();
                 dgv.Rows[0].ReadOnly = true;
                 dgv.Rows[1].ReadOnly = true;
 
                 // -------------- 工事情報の取得
                 ArrayList arData = new ArrayList();
-                string BaseSQL = "SELECT ConstructionCode, ConstructionPersonCode,";
-                BaseSQL += " TO_CHAR(ConstructionPeriodStart, 'YYYY/MM/DD'),";          // 2:契約工期開始
-                BaseSQL += " TO_CHAR(ConstructionPeriodEnd, 'YYYY/MM/DD'),";            // 3:契約工期完了
-                BaseSQL += " TO_CHAR(OrderDate, 'YYYY/MM/DD'),";                        // 4:受注日
-                BaseSQL += " TO_CHAR(OrderCompletionDate, 'YYYY/MM/DD'),";              // 5:完了予定日
-                BaseSQL += " TO_CHAR(BillingStartDate, 'YYYY/MM/DD'),";                 // 6:請求準備開始日
-                BaseSQL += " TO_CHAR(OrderStartingDate, 'YYYY/MM/DD')";                 // 7:開始予定日
+                //string BaseSQL = "SELECT ConstructionCode, ConstructionPersonCode,";
+                //BaseSQL += " TO_CHAR(ConstructionPeriodStart, 'YYYY/MM/DD'),";          // 2:契約工期開始
+                //BaseSQL += " TO_CHAR(ConstructionPeriodEnd, 'YYYY/MM/DD'),";            // 3:契約工期完了
+                //BaseSQL += " TO_CHAR(OrderDate, 'YYYY/MM/DD'),";                        // 4:受注日
+                //BaseSQL += " TO_CHAR(OrderCompletionDate, 'YYYY/MM/DD'),";              // 5:完了予定日
+                //BaseSQL += " TO_CHAR(BillingStartDate, 'YYYY/MM/DD'),";                 // 6:請求準備開始日
+                //BaseSQL += " TO_CHAR(OrderStartingDate, 'YYYY/MM/DD')";                 // 7:開始予定日
+                //BaseSQL += " FROM ConstructionBaseInfo A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
+                string BaseSQL = "SELECT A1, A2, MIN(A3), MAX(A4), A5, A6, A7, A8, A9, A10, A11, A12 FROM";
+                BaseSQL += " (SELECT A.ConstructionCode A1,";
+                BaseSQL += " A.ConstructionPersonCode A2,";
+                BaseSQL += " TO_CHAR(A.ConstructionPeriodStart, 'YYYY/MM/DD') A3,";
+                BaseSQL += " TO_CHAR(A.ConstructionPeriodEnd, 'YYYY/MM/DD') A4,";
+                BaseSQL += " TO_CHAR(A.OrderDate, 'YYYY/MM/DD') A5,";
+                BaseSQL += " TO_CHAR(A.OrderCompletionDate, 'YYYY/MM/DD') A6,";
+                BaseSQL += " TO_CHAR(A.BillingStartDate, 'YYYY/MM/DD') A7,";
+                BaseSQL += " TO_CHAR(A.OrderStartingDate, 'YYYY/MM/DD') A8,";
+                BaseSQL += " B.EmployeeClassFlg A9,";
+                BaseSQL += " C.DISPLAYORDER A10,";
+                BaseSQL += " B.DISPLAYORDER A11,";
+                BaseSQL += " A.OrderDate A12";
                 BaseSQL += " FROM ConstructionBaseInfo A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
+
                 List<int> stat = new List<int>();
 
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("営繕部継続工事")).Key);     // 2
@@ -3187,8 +3375,13 @@
 
                 BaseSQL += " And A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
                 BaseSQL += " And B.DEPARTMENTCODE = C.DEPARTMENTCODE";
-                BaseSQL += " And C.StaffAssignFlg = 0";
-                BaseSQL += " Order By C.DISPLAYORDER Asc, B.DISPLAYORDER Asc, A.OrderDate Asc";
+                BaseSQL += " And C.StaffAssignFlg = 0) Data";
+                BaseSQL += " GROUP BY A1, A2, A5, A6, A7, A8, A9, A10, A11, A12";
+                BaseSQL += " Order By 9 Asc, 10 Asc, 11 Asc, 12 Asc";
+                //BaseSQL += " And A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
+                //BaseSQL += " And B.DEPARTMENTCODE = C.DEPARTMENTCODE";
+                //BaseSQL += " And C.StaffAssignFlg = 0";
+                //BaseSQL += " Order By B.EmployeeClassFlg Asc, C.DISPLAYORDER Asc, B.DISPLAYORDER Asc, A.OrderDate Asc";
                 if (!cbDB.ExecuteReader(BaseSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
@@ -3362,6 +3555,7 @@
             finally
             {
                 cbDB.close(); cbDB = null;
+                cbdDB.close(); cbdDB = null;
                 dmDB.close(); dmDB = null;
                 picDB.close(); picDB = null;
                 hcDB.close(); hcDB = null;
@@ -3682,7 +3876,7 @@
         /// </summary>
         /// <param name="Column"></param>
         /// <returns></returns>
-        private int GetTitileLine0ColumnCount(int Column)
+        private int GetTitleLine0ColumnCount(int Column)
         {
             try
             {
@@ -3696,7 +3890,7 @@
                 }
                 if (dgvStaffAssignment[DspCnt, 0].Value == null)
                 {
-                    Console.WriteLine(string.Format("Titile0:{0} Error", DspCnt));
+                    Console.WriteLine(string.Format("Title0:{0} Error", DspCnt));
                 }
                 return DspCnt;
             }
@@ -3714,7 +3908,7 @@
         /// </summary>
         /// <param name="Column"></param>
         /// <returns></returns>
-        private int GetTitileLine1ColumnCount(int Column)
+        private int GetTitleLine1ColumnCount(int Column)
         {
             try
             {
@@ -3727,7 +3921,7 @@
                 }
                 if (dgvStaffAssignment[DspCnt, 1].Value == null)
                 {
-                    Console.WriteLine(string.Format("Titile1:{0} Error", DspCnt));
+                    Console.WriteLine(string.Format("Title1:{0} Error", DspCnt));
                 }
                 return DspCnt;
             }
@@ -3741,24 +3935,21 @@
         #endregion
 
         #region 売上グラフ
+        #region 売上グラフ表示
         /// <summary>
-        /// 売上グラフ
+        /// 売上グラフ表示
         /// </summary>
         private void DispSalesGraph(bool bInitFlg = true)
         {
             try
             {
+                chartSalesGraph.SuspendLayout();
                 // 初期化
                 chartSalesGraph.Series.Clear();
                 if (bInitFlg)
                 {
                     // データにある事業期と現在の事業セット
-                    int minval = 0;
-                    int maxval = 0;
-                    GetSalesPeriodYear(ref minval, ref maxval);
-                    SalseGraphNum.Minimum = minval;
-                    SalseGraphNum.Maximum = maxval;
-                    SalseGraphNum.Value = CommonMotions.SystemMasterData.BusinessPeriod;
+                    SetPeriodYear();
                 }
                 // データの取得
                 DataSet ds = GetData();
@@ -3818,8 +4009,18 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                chartSalesGraph.ResumeLayout();
+            }
         }
+        #endregion
+
+        #region データの設定
+        /// <summary>
         /// データの設定
+        /// </summary>
+        /// <returns></returns>
         private DataSet GetData()
         {
             DataSet ds = new DataSet();
@@ -3882,9 +4083,14 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                sgdDB.close(); sgdDB = null;
+            }
 
             return ds;
         }
+        #endregion
 
         #region 期の最大・最少を取得する
         /// <summary>
@@ -3928,218 +4134,35 @@
             }
         }
         #endregion
-        #endregion
 
-        #region 承認申請
+        #region 期の最大・最少をセットする
         /// <summary>
-        /// 承認申請データを取得する
+        /// 期の最大・最少をセットする
         /// </summary>
-        /// <param name="arData"></param>
-        /// <returns></returns>
-        private bool GetDocumentApproval(ref ArrayList arData)
+        private void SetPeriodYear()
         {
-            IOProcessApproval paDB = new IOProcessApproval();
             try
             {
-                string strLimitedSQL = string.Empty;
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                {
-                    // 一般ユーザーは自分の承認のみ表示する
-                    strLimitedSQL += string.Format(" And A.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-                }
-                // ----- 工事案件毎に最大の承認を取得する
-                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key;
-                // 完了工事以外の申請中と承認後7日間のデータを対象とする
-                string strSQL = "SELECT A.APPROVALCODE, A.CONSTRUCTIONCODE, A.PETITIONAPPROVALDATE, A.PERSONCODE FROM PROCESSAPPROVAL A, CONSTRUCTIONBASEINFO B";
-                strSQL += string.Format(" WHERE (SEQNO = 1 AND ApprovalStatus != {0})", (int)CommonDefine.ApprovalStatus.Approval);
-                //strSQL += string.Format(" AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.CONSTRUCTIONSTATUSFLG < {0})", iStatus);
-                strSQL += " AND A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += " UNION SELECT A.APPROVALCODE, A.CONSTRUCTIONCODE, A.PETITIONAPPROVALDATE, A.PERSONCODE FROM  PROCESSAPPROVAL A, CONSTRUCTIONBASEINFO B";
-                strSQL += string.Format(" WHERE (SEQNO = 1 AND ApprovalStatus = {0} AND TRUNC(A.UPDATEDATE) >= (TRUNC(SYSDATE) - 7))", (int)CommonDefine.ApprovalStatus.Approval);
-                strSQL += string.Format(" AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.CONSTRUCTIONSTATUSFLG < {0})",iStatus);
-                strSQL += " ORDER BY APPROVALCODE DESC, PETITIONAPPROVALDATE DESC, PERSONCODE ASC";
-                if (!paDB.ExecuteReader(strSQL, ref arData)) return false;
-
-                if (arData.Count == 0) return false;
-
-                return true;
+                bGraphNotDrow = true;
+                // データにある事業期と現在の事業セット
+                int minval = 0;
+                int maxval = 0;
+                GetSalesPeriodYear(ref minval, ref maxval);
+                SalseGraphNum.Minimum = minval;
+                SalseGraphNum.Maximum = maxval;
+                SalseGraphNum.Value = CommonMotions.SystemMasterData.BusinessPeriod;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
             finally
             {
-                paDB.close(); paDB = null;
+                bGraphNotDrow = false;
             }
         }
-        /// <summary>
-        /// 書類承認表示処理
-        /// </summary>
-        private void DispDocumentApproval()
-        {
-            IOProcessApproval paDB = new IOProcessApproval();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            try
-            {
-                DataGridView dgv = dgvDocumentApproval;
-                dgv.Rows.Clear();
-
-                // ----- 工事案件毎に最大の承認を取得する
-                ArrayList arData = new ArrayList();
-                if (!GetDocumentApproval(ref arData)) return;
-
-                ProgressDApproval.Visible = true;
-                ProgressDApproval.Minimum = 0;
-                ProgressDApproval.Maximum = arData.Count;
-                tabPage21.Update();
-
-                // 行を作成する
-                DataGridViewRow[] list = new DataGridViewRow[arData.Count];
-                // データ表示
-                int ino = 1;
-                int iLineCnt = 0;
-                int BreakCode = 0;
-                foreach (object[] objwrk in arData)
-                {
-                    int iConstructionCode = CommonMotions.cnvInt(objwrk[1].ToString());
-                    int iApprovalCode = CommonMotions.cnvInt(objwrk[0].ToString());
-                    string strSQL = paDB.CreatePrimarykeyString(iConstructionCode, iApprovalCode);
-                    strSQL += " And SEQNO = 1";
-                    ProcessApproval pRec = new ProcessApproval();
-                    if (!paDB.SelectAction(strSQL, ref pRec)) continue;
-
-                    // 名称取得
-                    List<string> Details = new List<string>();
-                    getDetailStrings(pRec.ConstructionCode, Details);
-
-                    // 申請者名取得
-                    string strPerson = picDB.CreatePrimarykeyString(pRec.PersonCode);
-                    PersonInChargeMaster PersonData = new PersonInChargeMaster();
-                    picDB.SelectAction(strPerson, ref PersonData);
-
-                    string strLimitDate = string.Empty;
-                    if (pRec.ApprovalLimitDates != DateTime.MinValue)
-                    {
-                        strLimitDate = pRec.ApprovalLimitDates.ToShortDateString();
-                    }
-
-                    // 処理月で空行を入れる
-                    if (ino == 1)
-                    {
-                        BreakCode = iApprovalCode;
-                    }
-                    if (BreakCode != iApprovalCode)
-                    {
-                        dgv.Rows.Add(1);
-                        BreakCode = iApprovalCode;
-                    }
-
-                    // データセット
-                    int CurRowCnt = dgv.Rows.Add(pRec.ConstructionCode,
-                                                    pRec.ApprovalCode,
-                                                    ino,
-                                                    Details[0],
-                                                    ClsExcute.AppovalList[iApprovalCode],
-                                                    PersonData.PersonName,
-                                                    pRec.PetitionApprovalDate.ToShortDateString(),
-                                                    strLimitDate);
-
-                    // 承認種別に種別名に色を付ける
-                    dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.ApprovalName].Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
-
-                    // 対象部署取得
-                    int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(iConstructionCode, iApprovalCode);
-                    // 承認者取得
-                    strSQL = "select A.APPROVALPERSON, A.DISPLAYORDER, B.PERSONNAME, C.DEPARTMENTSTRING, B.DISPLAYSTRING";
-                    strSQL += " from APPROVALMASTER A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
-                    strSQL += string.Format(" Where (A.APPROVALCODE = {0} And A.DEPARTMENTCODE = {1})", iApprovalCode, DepartmentCode);
-                    strSQL += " And A.APPROVALPERSON = B.PERSONCODE And B.DEPARTMENTCODE = C.DEPARTMENTCODE";
-                    strSQL += " Order By A.DISPLAYORDER Desc";
-                    // SQL実行
-                    ArrayList AuthorizerData = new ArrayList();
-                    if (!paDB.ExecuteReader(strSQL, ref AuthorizerData)) continue;
-
-                    // データセット
-                    for (int i = 0; i < AuthorizerData.Count; i++)
-                    {
-                        //if (3 < i) break;           // ********** 表示が4件までしか対応していないため（将来的には承認者全部表示）
-                        // 承認者が列カウントを超えた場合
-                        if ((dgvDocumentApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
-                        {
-                            // 列を作成する
-                            DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
-                            // 名前とヘッダーを設定する
-                            NewColumn.Name = string.Format("ApprovalPerson{0}", i);
-                            NewColumn.HeaderText = string.Format("承認者", (i + 1));
-                            // 列の幅
-                            NewColumn.Width = dgvDocumentApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
-                            // 列のアライメントセット
-                            NewColumn.DefaultCellStyle = dgvDocumentApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].DefaultCellStyle;
-
-                            // 列を追加する
-                            dgvDocumentApproval.Columns.Add(NewColumn);
-                        }
-
-                        object[] objAuthorizer = (object[])AuthorizerData[i];
-                        strSQL = paDB.CreatePrimarykeyString(iConstructionCode, iApprovalCode);
-                        strSQL += string.Format(" And PersonCode = {0} And SeqNo != 1", objAuthorizer[0].ToString());
-                        ProcessApproval pAppRec = new ProcessApproval();
-                        if (!paDB.SelectAction(strSQL, ref pAppRec))
-                        {
-                            pAppRec.ApprovalStatus = 4;
-                        }
-                        else
-                        {
-                            strPerson = picDB.CreatePrimarykeyString(pAppRec.PersonCode);
-                            PersonInChargeMaster APersonData = new PersonInChargeMaster();
-                            if (!picDB.SelectAction(strPerson, ref APersonData)) continue;
-                        }
-                        DataGridViewRow CurRowPo = dgvDocumentApproval.Rows[CurRowCnt];
-                        DataGridViewCell CurCell = null;
-                        CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
-
-                        CurCell.Value = objAuthorizer[2].ToString();
-                        CurCell.Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[pAppRec.ApprovalStatus];
-                        CurCell.Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[pAppRec.ApprovalStatus];
-                        
-                    }
-                    iLineCnt++;
-
-                    // ProgressBarの値を変更する
-                    ProgressDApproval.Value = ino++;
-                    ProgressDApproval.Update();
-                }
-
-                dgv.ResumeLayout();
-
-                // ProgressBarの値を変更する
-                ProgressDApproval.Value = ProgressDApproval.Maximum;
-                ProgressDApproval.Update();
-                ProgressDApproval.Visible = false;
-
-                if (CommonDefine.s_MaxInitLineCount > arData.Count)
-                    // 読込時データカウント取得
-                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - arData.Count);
-                // データが多くなればソートできる
-                foreach (DataGridViewColumn wrkCol in dgv.Columns)
-                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
-
-                // グリッドソート実行
-                GridSortExcute(dgv);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                picDB.close(); picDB = null;
-                paDB.close(); paDB = null;
-            }
-        }
         #endregion
+        #endregion
 
         #region 初期時サブフォームハンドルリスト作成
         /// <summary>
